### Class

# FwupdPlugin HidDescriptor

#### Description [src]

    class FwupdPlugin.HidDescriptor : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

A HID descriptor.

Each report is a image of this firmware object and each report has children of `FuHidReportItem`.

Documented: https://www.usb.org/sites/default/files/hid1_11.pdf

See also: `FuFirmware`.

#### Hierarchy

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_hid_descriptor_new

Creates a new `FuFirmware` to parse a HID descriptor.

since: 1.9.4

#### Instance methods

###### fu_hid_descriptor_find_report

Finds the first HID report that matches all the report attributes.

since: 1.9.4

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginHidDescriptorClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.